cdac.medinfo.ccd.narrativeblock

## Class StrucDocTd

- java.lang.Object
- - cdac.medinfo.ccd.narrativeblock.StrucDocTd

- All Implemented Interfaces:
    java.io.Serializable

      public class StrucDocTd
      extends java.lang.Object
      implements java.io.Serializable

  Java class for StrucDoc.Td complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="StrucDoc.Td">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice maxOccurs="unbounded" minOccurs="0">
               <element name="content" type="{urn:hl7-org:v3}StrucDoc.Content"/>
               <element name="linkHtml" type="{urn:hl7-org:v3}StrucDoc.LinkHtml"/>
               <element name="sub" type="{urn:hl7-org:v3}StrucDoc.Sub"/>
               <element name="sup" type="{urn:hl7-org:v3}StrucDoc.Sup"/>
               <element name="br" type="{urn:hl7-org:v3}StrucDoc.Br"/>
               <element name="footnote" type="{urn:hl7-org:v3}StrucDoc.Footnote"/>
               <element name="footnoteRef" type="{urn:hl7-org:v3}StrucDoc.FootnoteRef"/>
               <element name="renderMultiMedia" type="{urn:hl7-org:v3}StrucDoc.RenderMultiMedia"/>
               <element name="paragraph" type="{urn:hl7-org:v3}StrucDoc.Paragraph"/>
               <element name="list" type="{urn:hl7-org:v3}StrucDoc.List"/>
             </choice>
             <attribute name="ID" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="language" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" />
             <attribute name="styleCode" type="{http://www.w3.org/2001/XMLSchema}NMTOKENS" />
             <attribute name="abbr" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="axis" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="headers" type="{http://www.w3.org/2001/XMLSchema}IDREFS" />
             <attribute name="scope">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
                   <enumeration value="row"/>
                   <enumeration value="col"/>
                   <enumeration value="rowgroup"/>
                   <enumeration value="colgroup"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="rowspan" type="{http://www.w3.org/2001/XMLSchema}string" default="1" />
             <attribute name="colspan" type="{http://www.w3.org/2001/XMLSchema}string" default="1" />
             <attribute name="align">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
                   <enumeration value="left"/>
                   <enumeration value="center"/>
                   <enumeration value="right"/>
                   <enumeration value="justify"/>
                   <enumeration value="char"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="char" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="charoff" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="valign">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
                   <enumeration value="top"/>
                   <enumeration value="middle"/>
                   <enumeration value="bottom"/>
                   <enumeration value="baseline"/>
                 </restriction>
               </simpleType>
             </attribute>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrucDocTd()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAbbr()` Gets the value of the abbr property.
    `java.lang.String` | `getAlign()` Gets the value of the align property.
    `java.lang.String` | `getAxis()` Gets the value of the axis property.
    `java.lang.String` | `getChar()` Gets the value of the char property.
    `java.lang.String` | `getCharoff()` Gets the value of the charoff property.
    `java.lang.String` | `getColspan()` Gets the value of the colspan property.
    `java.util.List<java.io.Serializable>` | `getContent()` Gets the value of the content property.
    `java.util.List<java.lang.Object>` | `getHeaders()` Gets the value of the headers property.
    `java.lang.String` | `getID()` Gets the value of the id property.
    `java.lang.String` | `getLanguage()` Gets the value of the language property.
    `java.lang.String` | `getRowspan()` Gets the value of the rowspan property.
    `java.lang.String` | `getScope()` Gets the value of the scope property.
    `java.util.List<java.lang.String>` | `getStyleCode()` Gets the value of the styleCode property.
    `java.lang.String` | `getValign()` Gets the value of the valign property.
    `void` | `setAbbr(java.lang.String value)` Sets the value of the abbr property.
    `void` | `setAlign(java.lang.String value)` Sets the value of the align property.
    `void` | `setAxis(java.lang.String value)` Sets the value of the axis property.
    `void` | `setChar(java.lang.String value)` Sets the value of the char property.
    `void` | `setCharoff(java.lang.String value)` Sets the value of the charoff property.
    `void` | `setColspan(java.lang.String value)` Sets the value of the colspan property.
    `void` | `setID(java.lang.String value)` Sets the value of the id property.
    `void` | `setLanguage(java.lang.String value)` Sets the value of the language property.
    `void` | `setRowspan(java.lang.String value)` Sets the value of the rowspan property.
    `void` | `setScope(java.lang.String value)` Sets the value of the scope property.
    `void` | `setValign(java.lang.String value)` Sets the value of the valign property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrucDocTd

          public StrucDocTd()

  - ### Method Detail

    - #### getContent

          public java.util.List<java.io.Serializable> getContent()

      Gets the value of the content property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

      For example, to add a new item, do as follows:

              getContent().add(newItem);

      Objects of the following type(s) are allowed in the list `JAXBElement``<``StrucDocParagraph``>` `JAXBElement``<``StrucDocSup``>` `JAXBElement``<``StrucDocRenderMultiMedia``>` `JAXBElement``<``StrucDocLinkHtml``>` `String` `JAXBElement``<``StrucDocFootnote``>` `JAXBElement``<``StrucDocList``>` `JAXBElement``<``StrucDocFootnoteRef``>` `JAXBElement``<``StrucDocSub``>` `JAXBElement``<``StrucDocBr``>` `JAXBElement``<``StrucDocContent``>`

    - #### getID

          public java.lang.String getID()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setID

          public void setID(java.lang.String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLanguage

          public java.lang.String getLanguage()

      Gets the value of the language property.
      Returns:
        possible object is `String`

    - #### setLanguage

          public void setLanguage(java.lang.String value)

      Sets the value of the language property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStyleCode

          public java.util.List<java.lang.String> getStyleCode()

      Gets the value of the styleCode property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the styleCode property.

      For example, to add a new item, do as follows:

              getStyleCode().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getAbbr

          public java.lang.String getAbbr()

      Gets the value of the abbr property.
      Returns:
        possible object is `String`

    - #### setAbbr

          public void setAbbr(java.lang.String value)

      Sets the value of the abbr property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAxis

          public java.lang.String getAxis()

      Gets the value of the axis property.
      Returns:
        possible object is `String`

    - #### setAxis

          public void setAxis(java.lang.String value)

      Sets the value of the axis property.
      Parameters:
        `value` - allowed object is `String`

    - #### getHeaders

          public java.util.List<java.lang.Object> getHeaders()

      Gets the value of the headers property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the headers property.

      For example, to add a new item, do as follows:

              getHeaders().add(newItem);

      Objects of the following type(s) are allowed in the list `Object`

    - #### getScope

          public java.lang.String getScope()

      Gets the value of the scope property.
      Returns:
        possible object is `String`

    - #### setScope

          public void setScope(java.lang.String value)

      Sets the value of the scope property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRowspan

          public java.lang.String getRowspan()

      Gets the value of the rowspan property.
      Returns:
        possible object is `String`

    - #### setRowspan

          public void setRowspan(java.lang.String value)

      Sets the value of the rowspan property.
      Parameters:
        `value` - allowed object is `String`

    - #### getColspan

          public java.lang.String getColspan()

      Gets the value of the colspan property.
      Returns:
        possible object is `String`

    - #### setColspan

          public void setColspan(java.lang.String value)

      Sets the value of the colspan property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAlign

          public java.lang.String getAlign()

      Gets the value of the align property.
      Returns:
        possible object is `String`

    - #### setAlign

          public void setAlign(java.lang.String value)

      Sets the value of the align property.
      Parameters:
        `value` - allowed object is `String`

    - #### getChar

          public java.lang.String getChar()

      Gets the value of the char property.
      Returns:
        possible object is `String`

    - #### setChar

          public void setChar(java.lang.String value)

      Sets the value of the char property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCharoff

          public java.lang.String getCharoff()

      Gets the value of the charoff property.
      Returns:
        possible object is `String`

    - #### setCharoff

          public void setCharoff(java.lang.String value)

      Sets the value of the charoff property.
      Parameters:
        `value` - allowed object is `String`

    - #### getValign

          public java.lang.String getValign()

      Gets the value of the valign property.
      Returns:
        possible object is `String`

    - #### setValign

          public void setValign(java.lang.String value)

      Sets the value of the valign property.
      Parameters:
        `value` - allowed object is `String`